Skip to main content

Purchase an insurance product for a customer

POST 

/v1/orders

Submit an order for an insurance product for a customer.

Request

Body

required

Details of the customer and the product to be purchased.

    oneOf
    product_code stringrequired

    The code of an approved, non-archived product available to the authenticated partner.

    customer_ref stringrequired

    The reference of a customer belonging to the authenticated partner.

    payment_type string

    Possible values: [wallet, web_link, card]

    How the order will be paid. If omitted, the authenticated partner's configured payment option is used.

    policy_start_date daterequired

    the start date of the intended policy coverage

    asset_ref stringnullable

    An external reference stored on the order and included in relevant webhooks.

    asset_value float

    Value of the insured goods. Required when the product uses relative-premium calculation.

    trip_frequency string

    Possible values: [single, recurring]

    Default value: recurring

    Single or recurring trip

    trips_per_day int32

    Required for recurring trips. This is the number of trips made per day.

    trip_days_per_year int32

    Required for recurring trips. Number of days in a year the trips are made (365 max)

    pickup_location string

    The pickup address of the shipment or parcel. Accepted but not currently required by request validation.

    dropoff_location string

    The destination address of the shipment or parcel. Accepted but not currently required by request validation.

    attachments integer[]

    If this order has attachments, supply their IDs as an array. Each attachment must belong to the authenticated partner and must not already be attached to another resource.

    broker_premium_rate float

    For brokers only. The premium rate for the product.

    broker_taxes float

    For brokers only. A percentage of the premium to be added as tax

    premium_frequency string

    Possible values: [monthly, quarterly, annually]

    child_partner_id string

    The key of a child partner belonging to the authenticated parent partner.

Responses

OK

Schema
    order object
    id integer
    asset_ref stringnullable
    product_price float
    partner_commission float
    amount_due float
    currency string
    payment_instructions objectnullable
    message string
    success boolean
    payment_gateway_charge floatnullable
    status string
    country string
    meta objectnullable
    property name* anynullable
    life_sum_assured stringnullable

    Returned when the selected product defines a life sum assured.

Loading...